# class UpdaterFactory - RDoc Documentation

# class UpdaterFactory

### Public Class Methods

get_updater(repo_directory) click to toggle source

    # File lib/common/updater/updater_factory.rb, line 4
    def self.get_updater(repo_directory)
      self.available_updaters_classes().each do |updater_symbol|
        updater = Object.const_get(updater_symbol).new(repo_directory)

        if updater.is_installed?
          return updater
        end
      end
      nil
    end

### Protected Class Methods

available_updaters_classes() click to toggle source

return array of class symbols

    # File lib/common/updater/updater_factory.rb, line 18
    def self.available_updaters_classes
      Object.constants.grep(/^.+Updater$/)
    end